Skip to main content
`Ctrl`+`K`

# PetscViewerExodusIIGetNodalVariable

Gets the number of nodal variables in an exodusII file

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscViewerExodusIIGetNodalVariable(PetscViewer viewer, PetscExodusIIInt *num)

Collective

## Input Parameters

- viewer - a `PetscViewer` of type `PETSCVIEWEREXODUSII`

## Output Parameters

- num - the number variables in the exodusII file

## Notes

This function gets the number of nodal variables and saves it in the address of num.

## See Also

`PETSCVIEWEREXODUSII`, `PetscViewer`, `PetscViewerCreate()`, `PetscViewerDestroy()`, `PetscViewerExodusIIOpen()`, `PetscViewerSetType()`, `PetscViewerType`, `PetscViewerExodusIISetNodalVariable()`

## Level

intermediate

## Location

src/dm/impls/plex/exodusii/plexexodusii2.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages